<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>Single source publishing</title>
        <link rel="stylesheet" href="../css/styles.css" />
    </head>
    <body epub:type="chapter">
        <h1><em>Single source publishing</em></h1>
        <p>¿Hacia dónde puede dirigirse la edición digital? El abandono del enfoque WYSIWYG es necesario en aras de la disminución del tiempo empleado para producir una publicación, sea impresa o digital. Este cambio no tiene necesidad de ser drástico, sino acorde a la profundización del conocimiento tecnológico por parte del editor y a la implementación de composición de textos ajenos al WYSIWYG.</p>
        <p>Desde hace algunos años los procesadores de texto usuales, como Word o Writer, ya ofrecen un enfoque similar al manejo de etiquetas. Dentro de estos programas, este planteamiento se conoce como <em>estilos de párrafo y de caracteres</em>. Mediante el empleo de estos estilos cabe la posibilidad de marcar semánticamente el contenido al que, posteriormente, puede exportarse a HTML, para así continuar su procesamiento para la creación de publicaciones digitales.</p>
        <p>Los <em>software</em> de maquetación también ofrecen la posibilidad del manejo de estilos, los cuales pueden importarse a partir de documentos de procesadores de texto. Asimismo, existe la posibilidad de importar documentos HTML, en el caso de Scribus, o XML, en el caso de InDesign. Por último, esta clase de programas también ofrece la posibilidad de exportar el documento a HTML o EPUB.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/estiloparrafo.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 17. Panel de los estilos de párrafo en InDesign. Fuente: <a href="http://www.adobepress.com/articles/article.asp?p=1873031">AdobePress</a>.</p>
        
        <p>Los desarrolladores de <em>software</em> son conscientes de la necesidad actual de publicar un libro en diversos formatos. Por este motivo, son ellos los que están proponiendo nuevas metodologías para el tratamiento del texto. La conversión entre formatos es incuestionable y un ejemplo formidable de esta posibilidad es <a href="https://en.wikipedia.org/wiki/Pandoc">Pandoc</a>, un <em>software</em> publicado en 2006 que es capaz de convertir documentos en más de treinta formatos posibles, entre los que sin duda se incluyen los que han sido mencionados a lo largo de este texto.</p>
        <p>La conversión llegó para ocupar un lugar especial dentro de la edición digital, pero solo es una parte de la posible metodología de trabajo. Comúnmente quienes editan perciben a la conversión como la solución a su necesidad de publicar el libro en diversos formatos. El alivio pronto es opacado cuando los archivos de salida se visualizan de manera indeseada, siendo menester la intervención directa y caso por caso que, a la larga, aumenta los tiempos de producción o, en el peor de los casos, causa frustración al editor.</p>
        <p>El problema no reside en la conversión en sí, sino en los archivos originales de los que se parte. Los archivos creados por los procesadores de texto y por los maquetadores, en la mayoría de los casos, son demasiado complejos internamente como para que a través de su conversión se obtengan los resultados esperados. Existe la necesidad de partir de formatos más simples, pero que al mismo tiempo no pierdan de vista la estructura semántica de la obra.</p>
        <p>Para simplificar el formato primero es necesario separar, de una vez por todas, el contenido del diseño. A través de los años, las tecnologías web han mostrado la pertinencia de dividir el documento en sus diferentes dimensiones. Si hablamos de una página web estática, es decir, que no tiene interacción alguna con un servidor, este consta de tres dimensiones:</p>
        <ol>
            <li>el contenido en formato HTML que da estructura,</li>
            <li>el diseño en formato CSS que modifica su apariencia visual y</li>
            <li>la programación en Javascript para dotarle de funcionalidad al documento.</li>
        </ol>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/tecnologiasweb.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 18. Las tres dimensiones de una página <em>web</em>. Fuente: <a href="http://becuo.com/html-css-javascript">Beuco</a>.</p>
        
        <p>La tercera dimensión, como puede anticiparse, es el terreno del programador, mientras que la segunda es el campo del diseñador. Sin embargo, en lo que respecta a la primera dimensión, la responsabilidad es compartida entre el maquetador y el editor. Será en otro artículo en donde se hable de la posible pertinencia de crear una dimensión exclusiva para el editor, el cual no tenga que preocuparse de la estructura necesaria para los archivos HTML.</p>
        <p>La división de trabajo entre el diseño editorial y la edición ha estado presente desde hace varios siglos dentro del quehacer editorial. Pero dentro de la edición digital esta delimitación ha quedado difusa, hasta el punto donde el editor, e incluso el escritor, «diseña» el texto a partir de un procesador. Para un mejor desempeño, en la edición digital es pertinente un enfoque exclusivo en la estructuración y edición del contenido. Con el fin de cumplir este cometido, la ausencia de diseño es pertinente.</p>
        <p>Esto nos lleva a una segunda recomendación para la simplificación del formato: el editor ha de emplear un lenguaje de etiquetado ligero o trabajar a través de un editor WYSIWYM cuyo formato de salida tenga esta clase de etiquetado. Un lenguaje de etiquetado ligero tiene lo básico para la estructura de un documento: itálicas, negritas, encabezados, párrafos, bloques de citas, citas dentro de párrafos, listas numeradas o no numeradas, enlaces a imágenes, hipervínculos y hasta tablas. Aprender a realizar este marcado no es una tarea difícil.</p>
        <p>En nuestros días, el lenguaje de marcado más popular es, sin dudas, <a href="https://es.wikipedia.org/wiki/Markdown">Markdown</a>. La idea detrás de este lenguaje es la facilidad en su lectura, en su escritura y en su conversión a documentos HTML. Desde 2004 Markdown fue ganando popularidad porque rápidamente fue adoptado para la redacción de documentación de los <a href="https://es.wikipedia.org/wiki/Repositorio">repositorios</a> de <em>software</em>. A partir de ahí, este lenguaje ha empezado a emplearse como el archivo originario para la conversión a otros formatos además del HTML, como lo es el XML, PDF, TeX o EPUB.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/markdown.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 19. Comparación del mismo texto, a la izquierda su escritura con Markdown y, a la derecha, su previsualización. Fuente: <a href="https://es.wikipedia.org/wiki/Markdown#/media/File:Haroopad_Markdown_editor.png">Wikimedia Commons</a>.</p>
        
        <p>Con estas dos recomendaciones se cubren las necesidades de una gran cantidad de publicaciones. Sin embargo, para las obras que contienen notas al pie o bibliografía existe una sugerencia adicional: separar el contenido de las notas y la bibliografía del cuerpo principal. Esta metodología se ha estado aplicando en LaTeX para el manejo de bibliografía, por las cuales las obras referidas se encuentran en una base de datos creada con herramientas como <a href="https://es.wikipedia.org/wiki/BibTeX">BibTeX</a>.</p>
        <p>A partir de una simple marca con un identificador, LaTeX tiene la capacidad de agregar la referencia al momento de compilar el documento. Esto no solo facilita el trabajo al escritor, sino también el del editor, ya que se elimina de una vez por todas el problema de la falta de uniformidad en la bibliografía, al convertirla con estilos personalizables.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/bibtex.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 20. Ejemplo de uso de BibTeX y LaTeX para producir un PDF con bibliografía: en BibTeX se crea un identificador a la referencia (círculo superior derecho) que se coloca adentro de una marca de LaTeX (círculo izquierdo) para producir una referencia en el PDF al estilo APA (círculo inferior derecho); es posible otro estilo sin necesidad de modificar la ficha bibliográfica (rectángulo). Fuente: <a href="http://publish.ucc.ie/doc/postgrad-intro?sectoc=2">University College Cork</a>.</p>
        
        <p>Para las notas al pie puede darse el mismo caso. El escritor solo habría de preocuparse por marcar el lugar donde va la nota, mientras que el editor se enfoca en revisar su contenido sin la necesidad de preocuparse por su numeración. Aunque parezca sorprendente, la separación entre las notas y el cuerpo principal es tan infrecuente que ni siquiera TeX tiene contemplada esta posibilidad. En su lugar se ha dado preferencia a incluir el contenido de la nota, debidamente marcada, en el texto principal.</p>
        <p>Semejante práctica no es problemática siempre y cuando se trabaje desde entornos que facilitan la tarea de adición de notas, como lo es TeX. No obstante, esto no se recomienda para documentos que han de convertirse a XML o HTML, ya que las notas al pie en estos archivos se dan como referencia cruzada. En las páginas web o publicaciones digitales, el contenido de las notas se encuentra afuera del párrafo donde se ubica el número de la nota. Por ello, es necesaria la creación de hipervínculos entre el contenido de la nota y su número.</p>
        <p>La creación de un documento «madre» que incluya las notas dentro del texto principal es posible. No obstante, es más sencillo mantener la separación, como en el caso del HTML o XML, y unirlos si es necesario, como es el caso de LaTeX. Además, la división también ayuda a clarificar la tarea del editor, debido a que así se evita la confusión entre el contenido de la nota y el contenido del texto principal. En el caso de un grupo de editores, uno puede enfocarse en el contenido principal, otro en las notas y uno más en la bibliografía, evitándose la intromisión entre ellos.</p>
        <p>Estas tres recomendaciones producen un documento en marcaje ligero del contenido principal, una base de datos para la bibliografía (opcional) y una relación de notas (opcional), las que, mediante conversores, es posible la generación de distintos formatos para su publicación sin la frustración de obtener resultados inesperados. Como es patente, todas estas prácticas hace años que están presentes en el cuidado y composición digital de documentos. Sin embargo, la conjunción de estos cuidados en el formateo es lo que se conoce como <a href="https://en.wikipedia.org/wiki/Single_source_publishing"><em>simple source publishing</em></a>.</p>
        <p>Es decir, la idea de un simple formato «madre» no implica una pérdida de calidad, sino una división del trabajo y de la obra. Por un lado, el libro es dividido en su contenido principal, su bibliografía y sus notas, haciendo que quien edita se concentre en la estructura y edición principal del libro, en la revisión de la bibliografía y en la edición de las notas de manera independiente.</p>
        <p>Por el otro, el editor realiza su trabajo y al dar el visto bueno, el diseñador editorial, tipógrafo o programador inician la labor de crear una publicación impresa o digital. Si existen ajustes, estos no han de ser graves. Si lo son, solo es necesario volver a importar el contenido cuyo aspecto visual no se pierde, debido al control existente entre las etiquetas y sus estilos.</p>
        <p>Semejante flexibilidad es la que permite utilizar el mismo archivo «madre» a través de diversos formatos. Podría pensarse que esta metodología es de difícil implementación en el estado actual de la edición digital. Sin embargo, es solo una cuestión de adopción de formatos en el momento adecuado. En otros términos:</p>
        <ul>
            <li>El autor se dedica a lo suyo y entrega al editor su «archivo final», por lo general un archivo elaborado a través de un procesador de textos.</li>
            <li>El editor divide la obra en su contenido principal, las notas y la bibliografía. A continuación, en lugar de trabajar con el procesador de textos, utiliza un lenguaje de marcado ligero o un editor WYSIWYM; marca y da formato a las notas, así como también marca y genera la base de datos de la bibliografía. Por último, se dedica a editar la obra de la manera habitual. Una vez terminado se obtiene el «archivo madre», el cual está bajo su control y cuidado.</li>
            <li>Del archivo madre se convierte a HTML o XML para que el diseñador editorial trabaje con su maquetador preferido. Al venir el texto de un lenguaje de marcado, de una manera sencilla puede asociar las etiquetas a estilos de párrafo, por lo que deja de preocuparse por la estructura de la obra, para concentrarse en su contenido y de los ajustes ortotipográficos propios de una publicación impresa.</li>
            <li>Del archivo madre se convierte a LaTeX para el diseñador editorial o tipógrafo que prefiere trabajar con TeX. No existe preocupación sobre su estructura, por lo que la persona responsable se encarga de compilar y, si es necesario, de realizar pequeños ajustes en el documento.</li>
            <li>Del archivo madre se convierte a HTML o XHTML para que el desarrollador genere una publicación estandarizada en formato EPUB. A partir de una serie de <em>scripts</em> el responsable ya no tiene necesidad de cuidar la estructura del EPUB más allá de la introducción de metadatos, ajustes en el diseño mediante estilos CSS y, si se requiere, la conversión de este formato a otros privativos, como el formato MOBI de Amazon a través de <a href="http://wiki.mobileread.com/wiki/KindleGen">KindleGen</a>.</li>
        </ul>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/flujoepub.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 21. Propuesta de Perro Triste para la automatización en la creación de EPUB. Fuente: <a href="https://github.com/ColectivoPerroTriste/Herramientas/tree/master/EPUB">Perro Triste</a>.</p>
        
        <p>Con la metodología <em>simple source publishing</em> el editor es el único que debe modificar su manera de trabajar en aras de tener un mayor control sobre la edición. Si bien es muy temprano para anticipar que este método puede ser el más óptimo para el quehacer editorial, sus posibilidades son prometedoras, por lo que la experimentación es recomendable.</p>
    </body>
</html>
